Merchant Sign Up
Specialized registration flow for merchant accounts, requiring additional business information.
Endpoint
Section titled “Endpoint”POST
/user/v1/merchant/signupRequest Body
Section titled “Request Body”curl -X POST https://api.juspredict.com/user/v1/merchant/signup \-H 'Authorization: Bearer YOUR_TOKEN' \-H 'Content-Type: application/json' \-d '{"first_name": "Alice","last_name": "Business","email": "alice@merchant.com","password": "securepassword123","merchant_name": "Alice's Sports Bar","address": "123 Main St","city": "Metropolis","state": "NY","zipcode": "10001","phone_number": "+1234567890","country": "USA"}'{"first_name": "Alice","last_name": "Business","email": "alice@merchant.com","password": "securepassword123","merchant_name": "Alice's Sports Bar","address": "123 Main St","city": "Metropolis","state": "NY","zipcode": "10001","phone_number": "+1234567890","country": "USA"}Constraints
Section titled “Constraints”| Field | Requirement |
|---|---|
merchant_name | Required. |
phone_number | Must match valid phone format regex. |
Response Body
Section titled “Response Body”{"status": {"type": "SUCCESS","details": []},"access_token": "eyJhbG...","refresh_token": "def456..."}{"status": {"type": "ERROR","details": [ { "code": "401", "message": "Unauthorized access token." }]}}Response Fields
Section titled “Response Fields”| Field | Type | Description |
|---|---|---|
status | Status | Operation status. |